Last Comment Bug 684664 - js\src\methodjit\BaseAssembler.h(1282) : warning C4146: unary minus operator applied to unsigned type, result still unsigned
: js\src\methodjit\BaseAssembler.h(1282) : warning C4146: unary minus operator ...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Windows Vista
: -- normal (vote)
: mozilla9
Assigned To: Makoto Kato [:m_kato] (PTO 6/20-21, 6/24)
:
Mentors:
Depends on:
Blocks: 677006
  Show dependency treegraph
 
Reported: 2011-09-04 23:06 PDT by Makoto Kato [:m_kato] (PTO 6/20-21, 6/24)
Modified: 2011-09-07 08:00 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1.98 KB, patch)
2011-09-05 02:53 PDT, Makoto Kato [:m_kato] (PTO 6/20-21, 6/24)
bhackett1024: review+
Details | Diff | Review

Description Makoto Kato [:m_kato] (PTO 6/20-21, 6/24) 2011-09-04 23:06:12 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=6274862&full=1

d:/mozilla-build/python25/python2.5.exe -O e:/builds/moz2_slave/m-cen-w32/build/js/src/build/cl.py cl -Fojscompartment.obj -c   -DOSTYPE=\"WINNT5.2\" -DOSARCH=WINNT -DEXPORT_JS_API -DIMPL_MFBT -DJS_HAS_CTYPES -DDLL_PREFIX=\"\" -DDLL_SUFFIX=\".dll\" -Ictypes/libffi/include -I.  -I/e/builds/moz2_slave/m-cen-w32/build/js/src -I. -I./../../dist/include -I./../../dist/include/nsprpub  -Ie:/builds/moz2_slave/m-cen-w32/build/obj-firefox/dist/include/nspr  -I/e/builds/moz2_slave/m-cen-w32/build/js/src -I/e/builds/moz2_slave/m-cen-w32/build/js/src/assembler -I/e/builds/moz2_slave/m-cen-w32/build/js/src/yarr    -GR- -TP -nologo -wd4345 -D_CRT_SECURE_NO_WARNINGS -W3 -Gy -Fdgenerated.pdb -wd4244 -wd4800 -we4553  -DNDEBUG -DTRIMMED -Zi -Zi -UDEBUG -DNDEBUG -O2 -Oy -DUSE_SYSTEM_MALLOC=1 -DENABLE_ASSEMBLER=1 -DENABLE_JIT=1 -MD            -FI ./js-confdefs.h -DMOZILLA_CLIENT /e/builds/moz2_slave/m-cen-w32/build/js/src/jscompartment.cpp
jscompartment.cpp

e:\builds\moz2_slave\m-cen-w32\build\js\src\methodjit/MethodJIT.h(690) : warning C4305: 'argument' : truncation from 'js::MaybeConstruct' to 'bool'

e:\builds\moz2_slave\m-cen-w32\build\js\src\methodjit\BaseAssembler.h(1282) : warning C4146: unary minus operator applied to unsigned type, result still unsigned

e:\builds\moz2_slave\m-cen-w32\build\js\src\methodjit\BaseAssembler.h(1283) : warning C4146: unary minus operator applied to unsigned type, result still unsigned

e:\builds\moz2_slave\m-cen-w32\build\js\src\methodjit\BaseAssembler.h(1287) : warning C4146: unary minus operator applied to unsigned type, result still unsigned
Comment 1 Makoto Kato [:m_kato] (PTO 6/20-21, 6/24) 2011-09-04 23:11:57 PDT
This is by bug 677006.
Comment 2 Makoto Kato [:m_kato] (PTO 6/20-21, 6/24) 2011-09-05 02:53:21 PDT
Created attachment 558253 [details] [diff] [review]
fix
Comment 3 Makoto Kato [:m_kato] (PTO 6/20-21, 6/24) 2011-09-07 00:43:01 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/e0e96051ac63
Comment 4 :Ehsan Akhgari (busy, don't ask for review please) 2011-09-07 08:00:36 PDT
http://hg.mozilla.org/mozilla-central/rev/e0e96051ac63

Note You need to log in before you can comment on or make changes to this bug.